Персонализирани домейни
GET https://tistos.com/api/domains/available
curl --request GET \
--url 'https://tistos.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
| Параметри | Детайли | Описание |
|---|---|---|
| search | По избор Низ | Търсеният низ. |
| search_by | По избор Низ | По кое поле търсите? Позволените стойности са: host. |
| datetime_field | По избор Низ | Разрешени стойности: datetime, last_datetime |
| datetime_start | По избор Низ | Филтрирайте резултатите от тази дата и час. Формат Y-m-d H:i:s. |
| datetime_end | По избор Низ | Филтрирайте резултатите до тази дата и час. Формат Y-m-d H:i:s. |
| order_by | По избор Низ | По кое поле да се подредят резултатите. Разрешените стойности са: domain_id, datetime, last_datetime, host. |
| order_type | По избор Низ | Подреждането на резултатите. Позволените стойности са: ASC за възходящо подреждане и DESC за низходящо подреждане. |
| page | По избор Цяло число | Номера на страницата, от която искате резултати. По подразбиране е 1. |
| results_per_page | По избор Цяло число | Колко резултата искате на страница. Разрешените стойности са: 10, 25, 50, 100, 250, 500, 1000. По подразбиране е 25. |
{
"data": [
{
"id": 1,
"type": 0,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 19:30:18",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/domains/available?page=1",
"last": "https://tistos.com/api/domains/available?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/domains/available?page=1"
}
}
GET https://tistos.com/api/domains/
curl --request GET \
--url 'https://tistos.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Параметри | Детайли | Описание |
|---|---|---|
| search | По избор Низ | Търсеният низ. |
| search_by | По избор Низ | По кое поле търсите? Позволените стойности са: host. |
| is_enabled | По избор Булеви | |
| datetime_field | По избор Низ | Разрешени стойности: datetime, last_datetime |
| datetime_start | По избор Низ | Филтрирайте резултатите от тази дата и час. Формат Y-m-d H:i:s. |
| datetime_end | По избор Низ | Филтрирайте резултатите до тази дата и час. Формат Y-m-d H:i:s. |
| order_by | По избор Низ | По кое поле да се подредят резултатите. Разрешените стойности са: domain_id, datetime, last_datetime, host. |
| order_type | По избор Низ | Подреждането на резултатите. Позволените стойности са: ASC за възходящо подреждане и DESC за низходящо подреждане. |
| page | По избор Цяло число | Номера на страницата, от която искате резултати. По подразбиране е 1. |
| results_per_page | По избор Цяло число | Колко резултата искате на страница. Разрешените стойности са: 10, 25, 50, 100, 250, 500, 1000. По подразбиране е 25. |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 19:30:18",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/domains?page=1",
"last": "https://tistos.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/domains?page=1"
}
}
GET https://tistos.com/api/domains/{domain_id}
curl --request GET \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 19:30:18",
}
}
POST https://tistos.com/api/domains
| Параметри | Детайли | Описание |
|---|---|---|
| host | Задължително Низ | - |
| custom_index_url | По избор Низ | - |
| custom_not_found_url | По избор Низ | - |
curl --request POST \
--url 'https://tistos.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://tistos.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/domains/{domain_id}
| Параметри | Детайли | Описание |
|---|---|---|
| host | По избор Низ | - |
| custom_index_url | По избор Низ | - |
| custom_not_found_url | По избор Низ | - |
curl --request POST \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \